X-ON-RESIZE(1)

NAME
x-on-resize - monitor for hotplug or screen reconfigure events

SYNOPSIS
x-on-resize [--help] [--display display] [--config config-script] [--resize resize-script] [--start]

DESCRIPTION
X-on-resize is used to monitor the X display for output configuration changes and/or screen resize events. When these occur, it can call external programs to respond to the new display environment.

OPTIONS

-h, --help
    Print out a summary of the usage and exit.

-d, --display name
    This option selects the X display to use. Note this refers to the X screen abstraction, not the monitor (or output).

-c, --config config-script
    This option selects the external script to run when the set of available outputs has changed. If not provided, x-on-resize prints "config" on stdout.

-r, --resize resize-script
    This option selects the external script to run when the size of the root window has changed. If not provided, x-on-resize prints "resize" on stdout.

-a, --auto
    This is the same as --config "xrandr --auto", which sets the system to a reasonable configuration each time the connected set of outputs changes.

-s, --start
    This directs x-on-resize to run any defined scripts at startup time in addition to when the specified conditions occur.

SEE ALSO
Xrandr(3), xrandr(1)

AUTHORS
Keith Packard, Open Source Technology Center, Intel Corporation.